Package org.springframework.jmx.support

# Enum Class RegistrationPolicy

java.lang.Object
java.lang.Enum<RegistrationPolicy>
org.springframework.jmx.support.RegistrationPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<RegistrationPolicy>`, `Constable`

public enum RegistrationPolicy extends Enum<RegistrationPolicy>
Indicates registration behavior when attempting to register an MBean that already exists.

Since:
  3.2
Author:
  Phillip Webb, Chris Beams

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL_ON_EXISTING`
Registration should fail when attempting to register an MBean under a name that already exists.
`IGNORE_EXISTING`
Registration should ignore the affected MBean when attempting to register an MBean under a name that already exists.
`REPLACE_EXISTING`
Registration should replace the affected MBean when attempting to register an MBean under a name that already exists.

## Method Summary

Modifier and Type
Method
Description
`static RegistrationPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RegistrationPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FAIL_ON_EXISTING

public static final RegistrationPolicy FAIL_ON_EXISTING
Registration should fail when attempting to register an MBean under a name that already exists.

### IGNORE_EXISTING

public static final RegistrationPolicy IGNORE_EXISTING
Registration should ignore the affected MBean when attempting to register an MBean under a name that already exists.

### REPLACE_EXISTING

public static final RegistrationPolicy REPLACE_EXISTING
Registration should replace the affected MBean when attempting to register an MBean under a name that already exists.

## Method Details

### values

public static RegistrationPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RegistrationPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null